{
    attributes = (
        {
            columnName = "CAT_ID"; 
            externalType = NUMBER; 
            name = catId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_DEBUT"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_FIN"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = "PB_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "BP_ID"; }; 
            name = pbId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (pbId, catId, dateDebut, dateFin, commentaire); 
    className = "org.cocktail.kava.server.metier.EOBoutiqueCatalogue"; 
    classProperties = (dateDebut, dateFin, commentaire, prestationBoutique, catalogue); 
    externalName = "jefy_recette.boutique_catalogue"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (dateDebut, dateFin, commentaire, prestationBoutique, catalogue); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOBoutiqueCatalogue"; 
    }; 
    name = BoutiqueCatalogue; 
    primaryKeyAttributes = (pbId, catId); 
    relationships = (
        {
            destination = Catalogue; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = catId; sourceAttribute = catId; }); 
            name = catalogue; 
        }, 
        {
            destination = PrestationBoutique; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pbId; sourceAttribute = pbId; }); 
            name = prestationBoutique; 
        }
    ); 
}
